Subject: Re: [bitcoin-dev] Block size following technological growth

From: Venzen Khaosan <[email-masked]>
Date: Thu, 30 Jul 2015 23:36:19 +0700

On 07/30/2015 10:12 PM, Jorge Timón via bitcoin-dev wrote:
[snip]
> But even if I'm the only one that considers a "technological 
> de-growth" possible, I don't think is wise to rely on pseudo-laws
> like Moore's or Nielsen’s so-called "laws". Stealing a quote from
> another thread:

You raise a good point: "de-growth"

Assuming linear (or exponential) growth without sympathetic
contraction at some time in the future would make our future selves
look back and smile at the youthful exuberance.

The pseudo-laws you mention (Moore's etc) do not cater for contraction
and, you're right, scaling UP plans should also wisely make provision
for scaling DOWN, for when the need arises.
> 
> So I would prefer a more limited solution like bip102 (even though
> I would prefer to have some simulations leading to  a concrete
> value (even if it's bigger) rather than using 2MB's arbitrary
> number.

I just had a look your existing Size N testnet code
https://github.com/bitcoin/bitcoin/pull/6382
and i'll set up a node over the weekend and post its address in that
PR's conversation. Do you or anyone else already have a node running?
what blocksize?
> 
> Those are my 3 cents.
> 
> [1]
> https://philohist.files.wordpress.com/2008/01/nietzsche-uses-history.pdf

Thanks,
will broaden my horizon soon!